## Random scripts that I have written for various tasks!

### Bash

**aperture** <sub>and funperture</sub>  
A simple little script that echos one of two things. Either the aperture logo, or how the aperture logo got into the script. I like it.

**backupBookstack.sh**  
A script to back up a Bookstack instance (https://bookstackapp.com). I run it weekly. It works well enough for me to post it here so...

**backupProgramFiles.sh**  
This is a script that I created to zip up my Program Files folders on my C: drive as those are permanently excluded by the backup software I use. I could probably dive in and pick specific applications that I know store their configutaions in the Program Files folders but for now I just do the whole thing. This script also clears out backups older than 2 weeks (I run it weekly) and emails a summary to the provided address through the specified mail relay server. Be sure to edit smtp-creds.sh to include your information.

**backupVPS.sh**  
This script was written to automatically sync the backups I create on my server with my local machine as a part of the 3-2-1 backup rule.

**convertHEICtoJPG.sh**  
This script will convert your HEIC files (a format Apple saves photos with) to JPGs. Flip saveasjpg at the top to save as PNG instead. This will result in much larger file sizes. Set keeporiginals to 0 to delete the HEIC files after they're converted. The HEIC files are saved kept around by default. For best results set this up as a cron job.  
\* Requires the ImageMagick CLI software to be installed with HEIC support. There are links at the top of the script to do this.

**convertFLACtoALAC.sh**  
This script converts files from the FLAC format to the ALAC format (Apple's lossless codec). For some reason iOS doesn't natively support FLAC in the default music app so this is my way to make it work.

**cleanupBeatSaberSongs.sh**  
I wrote this script because I was tired of using the excuse that the folder names are jibberish (98e299036de1688c3f60cda87728ee3c2969188<wbr>8 for example) to not clean up my custom song library. This script goes through all the folders that are 40 characters long (didn't check for only hexadecimal characters so be warned ye ol 40 character song titles), extracts information from their info.dat files (in 2 ways funny enough), and renames the folders to the actual song names with the artist and mapper separated by hyphens. This way if you happen to have a song mapped by different people they don't get overwritten.

**loading**  
This was just something I was playing around with while trying to decide if I should add a new icon for services in tmux-idle that are reloading.

**model**  
This simple script shows the hardware model of a raspberry pi. That is all.

**spacecheck**  
This was a script that I wrote to test adding a disk space check to the tmux-idle script but then grew a little bit after to have a few bonus features.

**statusPageCheck.sh**  
This script is a quick little something to poll my tinystatus page, and if a service is reporting as down, perform an action (such as rebooting the host or restarting the service).

**terminalTweaks.txt**  
This isn't so much a script as some small quality of life improvements I've made to my WSL Ubuntu 20.04 systems and Ubuntu 20.04 server. Add whichever you like to the end of your .profile and use 'source ~/.profile' to load it immediately.

**tmux-idle**  
This script just chills in one of my idle tmux windows and shows me the weather. Also added functionality to allow a quick glance at any services that I want to monitor, the usage of my disk, and whether or not the server is pending a reboot. (All user-configurable options at the top of the file)

**vpsping**  
I'm looking into getting a vps with hetzner so I wanted an easy way to compare latencies between their data centers.

### AutoHotKey

**RemapWindowsShortcuts.ahk**  
This script will replace the Windows Key + E shortcut for explorer and the Windows Key + S shortcut for search with Explorer++ and Everything (this does require you to have these programs already installed on your system). Also added is the Windows key + T to launch Windows Terminal (taken from launching terminal this way on XUbuntu).
Edit the script to point to the executables for each program and create a shortcut to your shell:startup folder to run on launch.

### Javascript

**mailderef-SpeedUpWait.js**  
This was created to reduce the time spent at the "You will be redirected..." screen from 3 seconds to no seconds. I don't know why this page exists, but it does. I have an adblocker so maybe there's ads but who knows.

**Reddit-RemovePostBar.js**  
This script deletes the new post bar at the top of the reddit page that serves no purpose.

**USPS-CollapseTracking.js**  
This is a tampermonkey script that collapses the 'see more' portion of the USPS tracking page and scrolls to the top.

### AppTweaks

These items aren't really scripts but they are useful little changes I've made to various programs I use that I wanted to consolidate in to one place. Hopefully the comments explain what they all do well enough.

#### Firefox

**about_config.md**  
This contains the modificaitons that I make to the about:config page of firefox... That's about it. Other files may make other more significant changes and those are not tracked here (userChrome.css for example).

**userChrome.css**  
This file contains the CSS data to remove the close tab buttons from the tabs in Firefox. Also included in the form of comments are the instructions to do so as well as the page that I found this solution on.

#### Windows Terminal

**settings.json**  
This is the settings file that I have modified to my liking. The images are in the directory as well.

#### Microsoft Windows

**OpenWithRegistryTweak.md**  
This is a quick walkthrough to add an Edit with ... to the context menu for all files. I use it for Notepad2 but you can use the same instructions for any application.


### Task Scheduler

**startWSLCronTab.xml**  
This script should be imported to Windows Task Scheduler and will start the crontab service upon logging in to your Windows account. You will have to modify the user account to your own under the security options in General and the Triggers tabs. Be sure to also edit the command to reflect the distrubution you have installed.

### Rainmeter

#### FTL

This is the Rainmeter skin created by [/u/Tuxwonder](https://reddit.com/user/tuxwonder) and modified by myself to add extra CPU measures, extra disks, and a few other small tweaks. The large images have been removed to conserve space.
more to come
